/**
 * @file    Camera_android.vsh
 * @brief   Camera
 * @since   2015/03/24
 *
 * Copyright (c)2015 Nintendo Co., Ltd. All rights reserved.
 */
 
// ----------------------------------------
// 頂点シェーダーに入力される attribute 変数
 attribute vec3 aPosition;           //!< 入力: 位置情報
 attribute vec2 aTexcoord0;          //!< 入力: テクスチャー座標

 // ----------------------------------------
// 頂点シェーダーに入力される uniform 変数
uniform mat4 uTexcoordTransformMatrix; //!< 入力: Texture coordinate matrix

// ----------------------------------------
// フラグメントシェーダーに渡される varying 変数
varying mediump vec2 vTexcoord0;     //!< 出力: テクスチャー座標

// ------------------------------------------------------------
// 頂点シェーダーのエントリーポイント
// ------------------------------------------------------------
void main()
{
	gl_Position = vec4(aPosition, 1.0);
	vec4 samplingTexcoord = uTexcoordTransformMatrix * vec4(aTexcoord0, 0, 1);
	vTexcoord0 = samplingTexcoord.xy;
}