/**
 * @file    Camera_android.fsh
 * @brief   Camera
 * @since   2015/03/24
 *
 * Copyright (c)2015 Nintendo Co., Ltd. All rights reserved.
 */
 
#extension GL_OES_EGL_image_external : require

precision mediump float;

// ----------------------------------------
// フラグメントシェーダーに入力される uniform 変数
uniform samplerExternalOES uCameraTexture; //!< 入力: テクスチャー

// ----------------------------------------
// フラグメントシェーダーに入力される varying 変数
varying mediump vec2 vTexcoord0; //!< 出力: テクスチャー座標

// ------------------------------------------------------------
// フラグメントシェーダーのエントリーポイント
// ------------------------------------------------------------
void main()
{
	vec4 textureColor = texture2D(uCameraTexture, vTexcoord0.xy);
	
//#ifdef YUV
//	float Y = 255 * textureColor.r;
//	float U = 255 * textureColor.g;
//	float V = 255 * textureColor.b;
//
//	if (Y < 16)
//		Y = 0;
//	else
//		Y = Y - 16;
//	
//	Y = Y / 239.0;
//	U = (U - 128) / 128.0 * 0.436;
//	V = (V - 128) / 128.0 * 0.615;
//
//	textureColor.r = saturate(Y + 1.13983 * V);
//	textureColor.g = saturate(Y - 0.39465 * U - 0.5806 * V);
//	textureColor.b = saturate(Y + 2.03211 * U);
//	textureColor.a = 1;
//#endif

	textureColor.a = 1.0;
	gl_FragColor = textureColor;
}